package DB;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class ConnectionPOATie
	extends ConnectionPOA
{
	private ConnectionOperations _delegate;

	private POA _poa;
	public ConnectionPOATie(ConnectionOperations delegate)
	{
		_delegate = delegate;
	}
	public ConnectionPOATie(ConnectionOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public DB.Connection _this()
	{
		return DB.ConnectionHelper.narrow(_this_object());
	}
	public DB.Connection _this(org.omg.CORBA.ORB orb)
	{
		return DB.ConnectionHelper.narrow(_this_object(orb));
	}
	public ConnectionOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(ConnectionOperations delegate)
	{
		_delegate = delegate;
	}
	public void close(DB.WarningsHolder warns) throws DB.Exception
	{
_delegate.close(warns);
	}

	public void rollback(DB.WarningsHolder warns) throws DB.Exception
	{
_delegate.rollback(warns);
	}

	public void commit(DB.WarningsHolder warns) throws DB.Exception
	{
_delegate.commit(warns);
	}

	public DB.Statement prepare(java.lang.String stmstr, DB.WarningsHolder warns) throws DB.Exception
	{
		return _delegate.prepare(stmstr,warns);
	}

	public int execute(java.lang.String stmstr, DB.WarningsHolder warns) throws DB.Exception
	{
		return _delegate.execute(stmstr,warns);
	}

}
